# Retrieve data for publishing job filters

Returns data to populate filters for publishing jobs. Returned data is  dynamic and depends on the filters already selected. This operation finds all publishing jobs that match the selected filters and returns distinct values for the source, system.createdBy, and system.status fields of these jobs.
{% admonition type="info" name="Note" %}To retrieve publishing jobs that match the selected filters, your token must include one of the following scopes xmcpub.jobs.a:r, xmcpub.jobs.t:r, or xmcpub.jobs.t:rl. {% /admonition %}

Endpoint: GET /authoring/publishing/v1/jobs/filters
Version: v1.0
Security: Bearer

## Query parameters:

  - `source` (array)
    The source value to use when filtering jobs. Use a pipe to specify multiple values (for example, ?source=Pages|Sites). Wildcards are not supported.

  - `system.createdBy.id` (array)
    The ID of the creator to use when filtering jobs. Use a pipe to specify multiple values (for example, ?system.createdBy.id=Qbu3QmWtnQoU0my5jX9MFxBYIeQrFhd2|auth0|000b2fc5fa6b9e5883b6245b). Wildcards are not supported.

  - `system.createdBy.name` (array)
    The name of the creator to use when filtering jobs. Use a pipe to specify multiple values (for example, ?system.createdBy.name=John+Doe|John+Smith). Wildcards are not supported.

  - `system.status` (array)
    The status value to use when filtering jobs. Use a pipe to specify multiple values (for example, ?system.status=Queued|Running).
    Enum: "Queued", "Running", "Completed", "Failed", "Canceled", "Canceling"

  - `system.queuedTime` (array)
    The job queued time to filter entries by. Use & to include more than one filter (for example, ?system.queuedTime=>2024-10-14T00:00:00.000Z&system.queuedTime=DATE and =<DATE filters are supported.

  - `system.startTime` (array)
    The job start time to filter entries by. Use & to include more than one filter (for example, ?system.startTime=>2024-10-14T00:00:00.000Z&system.startTime=DATE and =<DATE filters are supported.

  - `system.finishTime` (array)
    The job finish time to filter entries by. Use & to include more than one filter (for example, ?system.finishTime=>2024-10-14T00:00:00.000Z&system.finishTime=DATE and =<DATE filters are supported.

## Response 200 fields (application/json):

  - `createdBy` (array, required)
    The unique list of jobs creators.

  - `createdBy.data` (object, required)
    Represents the data for the user who created the job.

  - `createdBy.data.id` (string,null, required)
    The ID of the creator.

  - `createdBy.data.name` (string,null, required)
    The name of the creator.

  - `createdBy.data.type` (string, required)
    The type of the creator.
    Enum: "Application", "User"

  - `sources` (array, required)
    The unique list of available sources.

  - `sources.data` (object, required)
    The source data.

  - `sources.data.source` (string,null, required)
    The source value.

  - `statuses` (array, required)
    The available statuses for filtering.

  - `statuses.data` (object, required)
    The publish job status data.

  - `statuses.data.status` (string, required)
    The job status.
    Enum: "Queued", "Running", "Completed", "Failed", "Canceled", "Canceling"

## Response 400 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 401 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

## Response 403 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)


